libxml++: xmlpp::Schema Class Reference

libxml++ 2.38.1

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
xmlpp::Schema Class Reference

Represents an XML Schema. More...

`#include <libxml++/schema.h>`

Inheritance diagram for xmlpp::Schema:
[legend]

## Public Member Functions
| Schema (_xmlSchema* schema)
| Create a schema from the underlying libxml schema element. More...
| Schema (Document* document=0, bool embed=false)
| Create a schema from an XML document. More...
| ~Schema ()
_xmlSchema* | cobj ()
| Access the underlying libxml implementation. More...
const _xmlSchema* | cobj () const
| Access the underlying libxml implementation. More...
Document* | get_document ()
| Get the schema document. More...
const Document* | get_document () const
| Get the schema document. More...
Glib::ustring | get_name () const
Glib::ustring | get_target_namespace () const
Glib::ustring | get_version () const
virtual void | set_document (Document* document=0, bool embed=false)
| Set a new document to the schema. More...

## Protected Member Functions
virtual void | release_underlying ()

## Detailed Description

Represents an XML Schema.

Since libxml++ 2.24:

Deprecated:
  Use XsdSchema instead.

## Constructor & Destructor Documentation

xmlpp::Schema::Schema | ( | _xmlSchema * | schema | ) |
| explicit

Create a schema from the underlying libxml schema element.

Deprecated:
  Use XsdSchema instead.

xmlpp::Schema::Schema | ( | Document* | document = `0`,
|  | bool | embed = `false`
| ) |  |
| explicit

Create a schema from an XML document.

Parameters

  document | XMLSchema document, 0 to create an empty schema document.
  embed | If true, the document will be deleted when the schema is deleted or another document is set.

Exceptions

  xmlpp::parse_error |
  xmlpp::internal_error | If an empty schema document can't be created.

Deprecated:
  Use XsdSchema instead.

xmlpp::Schema::~Schema | ( |  | ) |

## Member Function Documentation

_xmlSchema* xmlpp::Schema::cobj | ( |  | ) |

Access the underlying libxml implementation.

Deprecated:
  Use XsdSchema::cobj() instead.

const _xmlSchema* xmlpp::Schema::cobj | ( |  | ) | const

Access the underlying libxml implementation.

Deprecated:
  Use XsdSchema::cobj() instead.

Document* xmlpp::Schema::get_document | ( |  | ) |

Get the schema document.

Returns
  A pointer to the schema document, or `0` if none exists.

Deprecated:
  There is no replacement.

const Document* xmlpp::Schema::get_document | ( |  | ) | const

Get the schema document.

Returns
  A pointer to the schema document, or `0` if none exists.

Deprecated:
  There is no replacement.

Glib::ustring xmlpp::Schema::get_name | ( |  | ) | const

Deprecated:
  There is no replacement.

Glib::ustring xmlpp::Schema::get_target_namespace | ( |  | ) | const

Deprecated:
  There is no replacement.

Glib::ustring xmlpp::Schema::get_version | ( |  | ) | const

Deprecated:
  There is no replacement.

virtual void xmlpp::Schema::release_underlying | ( |  | ) |
| protectedvirtual

virtual void xmlpp::Schema::set_document | ( | Document* | document = `0`,
|  | bool | embed = `false`
| ) |  |
| virtual

Set a new document to the schema.

If the old schema document is owned by the schema (embed == true), the old schema document and all its nodes are deleted.

Parameters

  document | XMLSchema document, 0 to create an empty schema document.
  embed | If true, the document will be deleted when the schema is deleted or another document is set.

Exceptions

  xmlpp::parse_error |
  xmlpp::internal_error | If an empty schema document can't be created.

Deprecated:
  Use XsdSchema::parse_document() instead.